Package org.eclipse.lemminx.extensions.xerces.xmlmodel

## Interface XMLModelValidatorFactory

All Known Implementing Classes:
  `XMLModelDTDValidatorFactory`, `XMLModelRelaxNGValidatorFactory`, `XMLModelSchemaValidatorFactory`

    public interface XMLModelValidatorFactory

`XMLValidator` factory API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`XMLModelValidator` `createValidator​(XMLModelDeclaration modelDeclaration)` Create an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.

### Method Detail

#### createValidator

    XMLModelValidator createValidator​(XMLModelDeclaration modelDeclaration)

Create an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.

Parameters:
  `modelDeclaration` - the XML model declaration which host href, type, shematypens.
Returns:
  an `XMLModelValidator` instance if the XML model declaration is applicable for the factory and null otherwise.